> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 List Audiences

> Retrieve all audiences for the current user that you have access to in your account.



## OpenAPI

````yaml get /v2/saved/audiences
openapi: 3.0.0
info:
  contact: {}
  description: v2 audiences API
  license:
    name: GWI Platform Community
    url: https://github.com/orgs/GlobalWebIndex/teams/engineering-platform-2-0
  title: audiences-api
  version: 2.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v2/saved/audiences:
    get:
      tags:
        - Audiences
      summary: v2 List Audiences
      description: >-
        Retrieve all audiences for the current user that you have access to in
        your account.
      operationId: v2AudiencesList
      parameters:
        - description: Exclude blacklisted audiences
          in: query
          name: excludeBlackListed
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/audiences.ListAudiencesResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: string
        '401':
          description: Invalid token
          content:
            application/json:
              schema:
                type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  schemas:
    audiences.ListAudiencesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/audiences.AudienceResponse'
          type: array
      type: object
    audiences.AudienceResponse:
      properties:
        created_at:
          type: string
        datasets:
          description: The dataset codes used in the audience
          example:
            - ds-core
            - ds-96c906f1
          items:
            type: string
          type: array
        description:
          description: The generated description of the audience
          example: Male millennials aged 18-24 who use social media daily
          type: string
        expression:
          allOf:
            - $ref: '#/components/schemas/domain.Expression'
          description: The expression defining the audience criteria
        flags:
          description: The flags associated with the audience
          example:
            - authored
          items:
            type: string
          type: array
        folder_id:
          description: The folder ID containing the audience
          example: b140035b-3adc-43bf-a39d-8e8005c8af2a
          type: string
        id:
          description: The v2 UUID identifier of the audience
          example: b140035b-3adc-43bf-a39d-8e8005c8af2a
          type: string
        name:
          description: The name of the audience
          example: Male with credit card and short-term loan
          type: string
        permissions:
          allOf:
            - $ref: '#/components/schemas/domain.Permissions'
          description: The permissions for the audience
        position:
          description: The position for sorting
          example: 128
          type: number
        shared:
          description: Whether the audience is shared
          example: false
          type: boolean
        sharings:
          allOf:
            - $ref: '#/components/schemas/domain.Sharings'
          description: The sharing information for the audience
        updated_at:
          type: string
        user_id:
          description: The user ID who owns the audience
          example: 12345
          type: integer
        v1_id:
          description: The v1 ID of the audience
          example: 12345
          type: integer
      type: object
    domain.Expression:
      properties:
        and:
          items:
            $ref: '#/components/schemas/domain.Expression'
          type: array
        datapoints:
          example:
            - q2_1
          items:
            type: string
          type: array
        min_count:
          type: integer
        not:
          example: false
          type: boolean
        options:
          items:
            type: string
          type: array
        or:
          items:
            $ref: '#/components/schemas/domain.Expression'
          type: array
        question:
          example: q2
          type: string
        suffixes:
          example:
            - 1
          items:
            type: integer
          type: array
      type: object
    domain.Permissions:
      properties:
        audience_overall:
          $ref: '#/components/schemas/domain.AudiencePermission'
        meta:
          additionalProperties: true
          type: object
      type: object
    domain.Sharings:
      additionalProperties:
        $ref: '#/components/schemas/domain.SharingData'
      type: object
    domain.AudiencePermission:
      enum:
        - accessible
        - containsUnknownData
      type: string
      x-enum-varnames:
        - Accessible
        - ContainsUnknownData
    domain.SharingData:
      properties:
        organisation_ids:
          items:
            type: integer
          type: array
        sharer:
          $ref: '#/components/schemas/domain.SharingUser'
        users:
          items:
            $ref: '#/components/schemas/domain.SharingUser'
          type: array
      type: object
    domain.SharingUser:
      properties:
        email:
          type: string
        id:
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````